using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TargetController.Common;
using VirtuosoComponentLibrary;
using CuriosityBoardLibrary;

namespace SliderAnalogInput_Host
{
	public class SliderAnalogInput_TargetViewModel : SliderAnalogInput_TargetModel
	{
		public SliderAnalogInput_TargetViewModel()
		{
			InitializeComponents();
		}

		public SliderAnalogInput_TargetViewModel (ITargetHostingConfiguration TargetConfiguration) : base(TargetConfiguration)
		{
			InitializeComponents();
		}

		private void InitializeComponents()
		{
			// Add component(s) here....
			_PowerButton = new PowerButtonViewModel(this, "VirtualDeviceIsPowered", LEDTileImage.Tile1, PowerButtonColor.Blue);
            _SLIDERVM = new TextSliderViewModel(this, "SIM_TextSliderValue", 0, 200, 1, TextSliderMode.Input);
		}

		private PowerButtonViewModel _PowerButton;
		public PowerButtonViewModel PowerButton
		{
			get
			{
				return _PowerButton;
			}
		}

        private TextSliderViewModel _SLIDERVM;
        public TextSliderViewModel SLIDERVM
        {
            get
            {
                return _SLIDERVM;
            }
        }
	}
}
