/************************************************************************************
*
* This file is controlled by Virtuoso........
*
************************************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using LocalVisualStudioCTargetController;
using System.IO;
using TargetController.Common;
using VirtuosoComponentLibrary.SettingsManager;

namespace SliderAnalogInput_Host
{
   public class SliderAnalogInput_TargetModel : LocalVisualStudioCTargetBackgroundController
   {
      public List<string> UpStreams;
      public List<string> DownStreams;
      public List<string> AllStreams;
      public PersistentSettings Settings;

      public SliderAnalogInput_TargetModel()
      {
      }
      
      public SliderAnalogInput_TargetModel(ITargetHostingConfiguration TargetConfiguration) : base(TargetConfiguration)
      {
         UpStreams = new List<string>()
         {
         };

         DownStreams = new List<string>()
         {
         };

         AllStreams = UpStreams.Concat(DownStreams).ToList();
         Settings = new PersistentSettings();
      }

      public bool VirtualDeviceIsPowered
      {
         get { return GetPowerState(); }
         set
         {
            SetPowerState("VirtualDeviceIsPowered", value); 
            if (value)  { TargetController.RunTarget(); } else  { TargetController.PauseTarget(); }
         }
      }

      public Int32 SIM_TextSliderValue
      {
         get { throw new Exception("This is an input property and cannot be 'get'"); }
         set { base.SetInt32Property("SIM_TextSliderValue", value); }
      }

   }
}
